import { Component } from '@angular/core';
import {IonicPage, NavController, NavParams, ViewController} from 'ionic-angular';
import {AppService} from "../../../service/appHttpService";

@Component({
  selector: 'page-person-list',
  templateUrl: 'person-list.html',
})
export class PersonListPage {

  perList;
  constructor(public navCtrl: NavController, public navParams: NavParams,
              public appService: AppService , public viewCtrl: ViewController) {
  }

  ionViewDidLoad() {
    const data = {
        name:'173',
        pageSize:1,
        pageNumber:1000
    };
    console.log('ObserverHttpNoForm33');
    this.appService.ObserverHttpNoForm('/wisdomgroup/app/getUserByName',data)
        .subscribe((res)=>{
          this.perList = res.json();
        })
  }

    dismiss() {
        let data = { 'foo': 'bar' };
        this.viewCtrl.dismiss(data);
    }

    sure(){

    }

}
